Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateCH4CH4.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateCH4CH4.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateCH4CH4.F90	(revision 2662)
@@ -16,4 +16,6 @@
   use callkeys_mod, only: strictboundcia
   use datafile_mod, only: datadir
+  use mod_phys_lmdz_para, only : is_master
+
   implicit none
 
@@ -57,30 +59,38 @@
   if(temp.gt.400)then
     if (strictboundcia) then
-      print*,'Your temperatures are too high for this CH4-CH4 CIA dataset.'
-      print*,'Please run mixed CH4-CH4 atmospheres below T = 400 K.'      
+      if (is_master) then
+        print*,'Your temperatures are too high for this CH4-CH4 CIA dataset.'
+        print*,'Please run mixed CH4-CH4 atmospheres below T = 400 K.'      
+      endif
       stop
     else
-      print*,'Your temperatures are too high for this CH4-CH4 CIA dataset'
-      print*,'you have chosen strictboundcia = ', strictboundcia
-      print*,'*********************************************************'
-      print*,' we allow model to continue but with temp = 400          '
-      print*,'  ...       for CH4-CH4 CIA dataset        ...           '
-      print*,'  ... we assume we know what you are doing ...           '
-      print*,'*********************************************************'
+      if (is_master) then
+        print*,'Your temperatures are too high for this CH4-CH4 CIA dataset'
+        print*,'you have chosen strictboundcia = ', strictboundcia
+        print*,'*********************************************************'
+        print*,' we allow model to continue but with temp = 400          '
+        print*,'  ...       for CH4-CH4 CIA dataset        ...           '
+        print*,'  ... we assume we know what you are doing ...           '
+        print*,'*********************************************************'
+      endif
       temp = 400
     endif
   elseif(temp.lt.40)then
     if (strictboundcia) then
-      print*,'Your temperatures are too low for this CH4-CH4 CIA dataset.'
-      print*,'Please run mixed CH4-CH4 atmospheres above T = 40 K.'      
+      if (is_master) then
+        print*,'Your temperatures are too low for this CH4-CH4 CIA dataset.'
+        print*,'Please run mixed CH4-CH4 atmospheres above T = 40 K.'      
+      endif
       stop
     else
-      print*,'Your temperatures are too low for this CH4-CH4 CIA dataset'
-      print*,'you have chosen strictboundcia = ', strictboundcia
-      print*,'*********************************************************'
-      print*,' we allow model to continue but with temp = 40           '
-      print*,'  ...       for CH4-CH4 CIA dataset        ...           '
-      print*,'  ... we assume we know what you are doing ...           '
-      print*,'*********************************************************'
+      if (is_master) then
+        print*,'Your temperatures are too low for this CH4-CH4 CIA dataset'
+        print*,'you have chosen strictboundcia = ', strictboundcia
+        print*,'*********************************************************'
+        print*,' we allow model to continue but with temp = 40           '
+        print*,'  ...       for CH4-CH4 CIA dataset        ...           '
+        print*,'  ... we assume we know what you are doing ...           '
+        print*,'*********************************************************'
+      endif
       temp = 40
     endif
@@ -90,6 +100,6 @@
 
   if(firstcall)then ! called by sugas_corrk only
-     print*,'----------------------------------------------------'
-     print*,'Initialising CH4-CH4 continuum from HITRAN database...'
+     if (is_master) print*,'----------------------------------------------------'
+     if (is_master) print*,'Initialising CH4-CH4 continuum from HITRAN database...'
 
      !     1.1 Open the ASCII files
@@ -99,10 +109,12 @@
      open(33,file=dt_file,form='formatted',status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
-        write(*,*) 'Error from interpolateCH4CH4'
-        write(*,*) 'Data file ',trim(dt_file),' not found.'
-        write(*,*) 'Check that your path to datagcm:',trim(datadir)
-        write(*,*) 'is correct. You can change it in callphys.def with:'
-        write(*,*) 'datadir = /absolute/path/to/datagcm'
-        write(*,*) 'Also check that the continuum data continuum_data/CH4-CH4_2011.cia is there.'
+        if (is_master) then
+          write(*,*) 'Error from interpolateCH4CH4'
+          write(*,*) 'Data file ',trim(dt_file),' not found.'
+          write(*,*) 'Check that your path to datagcm:',trim(datadir)
+          write(*,*) 'is correct. You can change it in callphys.def with:'
+          write(*,*) 'datadir = /absolute/path/to/datagcm'
+          write(*,*) 'Also check that the continuum data continuum_data/CH4-CH4_2011.cia is there.'
+        endif
         call abort
      else
@@ -112,7 +124,9 @@
            read(33,fmat1) bleh,blah,blah,nres,Ttemp
            if(nS.ne.nres)then
-              print*,'Resolution given in file: ',trim(dt_file)
-              print*,'is ',nres,', which does not match nS.'
-              print*,'Please adjust nS value in interpolateCH4CH4.F90'
+              if (is_master) then
+                print*,'Resolution given in file: ',trim(dt_file)
+                print*,'is ',nres,', which does not match nS.'
+                print*,'Please adjust nS value in interpolateCH4CH4.F90'
+              endif
               stop
            endif
@@ -129,9 +143,9 @@
 !$OMP END MASTER
 !$OMP BARRIER
-
-     print*,'interpolateCH4CH4: At wavenumber ',wn,' cm^-1'
-     print*,'   temperature                 ',temp,' K'
-     print*,'   pressure                    ',pres,' Pa'
-
+     if (is_master) then
+       print*,'interpolateCH4CH4: At wavenumber ',wn,' cm^-1'
+       print*,'   temperature                 ',temp,' K'
+       print*,'   pressure                    ',pres,' Pa'
+     endif
   endif
 
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2CH4.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2CH4.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2CH4.F90	(revision 2662)
@@ -16,4 +16,6 @@
   use callkeys_mod, only: H2orthopara_mixture, strictboundcia
   use datafile_mod, only: datadir
+  use mod_phys_lmdz_para, only : is_master
+
   implicit none
 
@@ -59,30 +61,38 @@
   if(temp.gt.400)then
     if (strictboundcia) then
-      print*,'Your temperatures are too high for this H2-CH4 CIA dataset.'
-      print*,'Please run mixed H2-CH4 atmospheres below T = 400 K.'      
+      if (is_master) then
+        print*,'Your temperatures are too high for this H2-CH4 CIA dataset.'
+        print*,'Please run mixed H2-CH4 atmospheres below T = 400 K.'      
+      endif
       stop
     else
-      print*,'Your temperatures are too high for this H2-CH4 CIA dataset'
-      print*,'you have chosen strictboundcia = ', strictboundcia
-      print*,'*********************************************************'
-      print*,' we allow model to continue but with temp = 400          '
-      print*,'  ...       for H2-CH4 CIA dataset         ...           '
-      print*,'  ... we assume we know what you are doing ...           '
-      print*,'*********************************************************'
+      if (is_master) then
+        print*,'Your temperatures are too high for this H2-CH4 CIA dataset'
+        print*,'you have chosen strictboundcia = ', strictboundcia
+        print*,'*********************************************************'
+        print*,' we allow model to continue but with temp = 400          '
+        print*,'  ...       for H2-CH4 CIA dataset         ...           '
+        print*,'  ... we assume we know what you are doing ...           '
+        print*,'*********************************************************'
+      endif
       temp = 400
     endif
   elseif(temp.lt.40)then
     if (strictboundcia) then
-      print*,'Your temperatures are too low for this H2-CH4 CIA dataset.'
-      print*,'Please run mixed H2-CH4 atmospheres above T = 40 K.'      
+      if (is_master) then
+        print*,'Your temperatures are too low for this H2-CH4 CIA dataset.'
+        print*,'Please run mixed H2-CH4 atmospheres above T = 40 K.'      
+      endif
       stop
     else
-      print*,'Your temperatures are too low for this H2-CH4 CIA dataset'
-      print*,'you have chosen strictboundcia = ', strictboundcia
-      print*,'*********************************************************'
-      print*,' we allow model to continue but with temp = 40           '
-      print*,'  ...       for H2-CH4 CIA dataset         ...           '
-      print*,'  ... we assume we know what you are doing ...           '
-      print*,'*********************************************************'
+      if (is_master) then
+        print*,'Your temperatures are too low for this H2-CH4 CIA dataset'
+        print*,'you have chosen strictboundcia = ', strictboundcia
+        print*,'*********************************************************'
+        print*,' we allow model to continue but with temp = 40           '
+        print*,'  ...       for H2-CH4 CIA dataset         ...           '
+        print*,'  ... we assume we know what you are doing ...           '
+        print*,'*********************************************************'
+      endif
       temp = 40
     endif
@@ -93,6 +103,6 @@
 
   if(firstcall)then ! called by sugas_corrk only
-     print*,'----------------------------------------------------'
-     print*,'Initialising H2-CH4 continuum from HITRAN database...'
+     if (is_master) print*,'----------------------------------------------------'
+     if (is_master) print*,'Initialising H2-CH4 continuum from HITRAN database...'
 
      !     1.1 Open the ASCII files
@@ -106,10 +116,12 @@
      open(33,file=dt_file,form='formatted',status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
-        write(*,*) 'Error from interpolateH2CH4'
-        write(*,*) 'Data file ',trim(dt_file),' not found.'
-        write(*,*) 'Check that your path to datagcm:',trim(datadir)
-        write(*,*) 'is correct. You can change it in callphys.def with:'
-        write(*,*) 'datadir = /absolute/path/to/datagcm'
-        write(*,*) 'Also check that the continuum data continuum_data/H2-CH4_norm_2011.cia is there.'
+        if (is_master) then
+          write(*,*) 'Error from interpolateH2CH4'
+          write(*,*) 'Data file ',trim(dt_file),' not found.'
+          write(*,*) 'Check that your path to datagcm:',trim(datadir)
+          write(*,*) 'is correct. You can change it in callphys.def with:'
+          write(*,*) 'datadir = /absolute/path/to/datagcm'
+          write(*,*) 'Also check that the continuum data continuum_data/H2-CH4_norm_2011.cia is there.'
+        endif
         call abort
      else
@@ -119,7 +131,9 @@
            read(33,fmat1) bleh,blah,blah,nres,Ttemp
            if(nS.ne.nres)then
-              print*,'Resolution given in file: ',trim(dt_file)
-              print*,'is ',nres,', which does not match nS.'
-              print*,'Please adjust nS value in interpolateH2CH4.F90'
+              if (is_master) then
+                print*,'Resolution given in file: ',trim(dt_file)
+                print*,'is ',nres,', which does not match nS.'
+                print*,'Please adjust nS value in interpolateH2CH4.F90'
+              endif
               stop
            endif
@@ -136,10 +150,10 @@
 !$OMP END MASTER
 !$OMP BARRIER
-
-     print*,'interpolateH2CH4: At wavenumber ',wn,' cm^-1'
-     print*,'   temperature                 ',temp,' K'
-     print*,'   CH4 partial pressure        ',presCH4,' Pa'
-     print*,'   and H2 partial pressure     ',presH2,' Pa'
-
+     if (is_master) then
+       print*,'interpolateH2CH4: At wavenumber ',wn,' cm^-1'
+       print*,'   temperature                 ',temp,' K'
+       print*,'   CH4 partial pressure        ',presCH4,' Pa'
+       print*,'   and H2 partial pressure     ',presH2,' Pa'
+     endif
   endif
 
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2H2.F90	(revision 2662)
@@ -20,4 +20,5 @@
       use callkeys_mod, only: versH2H2cia, strictboundcia, H2orthopara_mixture
       use datafile_mod, only: datadir
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -64,32 +65,40 @@
       if(temp.gt.400)then
         if (strictboundcia) then
-          print*,'Your temperatures are too high for this H2-H2 CIA dataset. If you '
-          print*,'really want to run simulations with hydrogen at T > 400 K, contact'
-          print*,'Robin Wordsworth [rwordsworth@uchicago.edu].'
+          if (is_master) then
+            print*,'Your temperatures are too high for this H2-H2 CIA dataset. If you '
+            print*,'really want to run simulations with hydrogen at T > 400 K, contact'
+            print*,'Robin Wordsworth [rwordsworth@uchicago.edu].'
+          endif
           stop
         else
-          print*,'Your temperatures are too high for this H2-H2 CIA dataset'
-          print*,'you have chosen strictboundcia = ', strictboundcia
-          print*,'*********************************************************'
-          print*,' we allow model to continue but with temp = 400          '
-          print*,'  ...       for H2-H2 CIA dataset          ...           '
-          print*,'  ... we assume we know what you are doing ...           '
-          print*,'*********************************************************'
+          if (is_master) then
+            print*,'Your temperatures are too high for this H2-H2 CIA dataset'
+            print*,'you have chosen strictboundcia = ', strictboundcia
+            print*,'*********************************************************'
+            print*,' we allow model to continue but with temp = 400          '
+            print*,'  ...       for H2-H2 CIA dataset          ...           '
+            print*,'  ... we assume we know what you are doing ...           '
+            print*,'*********************************************************'
+          endif
           temp = 400
         endif
       elseif(temp.lt.40)then     
         if (strictboundcia) then
-          print*,'Your temperatures are too low for this H2-H2 CIA dataset. If you '
-          print*,'really want to run simulations with hydrogen at T < 40 K, contact'
-          print*,'Robin Wordsworth [rwordsworth@uchicago.edu].'
+          if (is_master) then
+            print*,'Your temperatures are too low for this H2-H2 CIA dataset. If you '
+            print*,'really want to run simulations with hydrogen at T < 40 K, contact'
+            print*,'Robin Wordsworth [rwordsworth@uchicago.edu].'
+          endif
           stop
         else
-          print*,'Your temperatures are too low for this H2-H2 CIA dataset'
-          print*,'you have chosen strictboundcia = ', strictboundcia
-          print*,'*********************************************************'
-          print*,' we allow model to continue but with temp = 40           '
-          print*,'  ...       for H2-H2 CIA dataset          ...           '
-          print*,'  ... we assume we know what you are doing ...           '
-          print*,'*********************************************************'
+          if (is_master) then
+            print*,'Your temperatures are too low for this H2-H2 CIA dataset'
+            print*,'you have chosen strictboundcia = ', strictboundcia
+            print*,'*********************************************************'
+            print*,' we allow model to continue but with temp = 40           '
+            print*,'  ...       for H2-H2 CIA dataset          ...           '
+            print*,'  ... we assume we know what you are doing ...           '
+            print*,'*********************************************************'
+          endif
           temp = 40
         endif            
@@ -99,6 +108,6 @@
 
       if(firstcall)then ! called by sugas_corrk only
-         print*,'----------------------------------------------------'
-         print*,'Initialising H2-H2 continuum from HITRAN database...'
+         if (is_master) print*,'----------------------------------------------------'
+         if (is_master) print*,'Initialising H2-H2 continuum from HITRAN database...'
 
 !     1.1 Open the ASCII files and set nS according to version
@@ -126,17 +135,21 @@
          open(33,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
-           write(*,*) 'Error from interpolateH2H2'
-           write(*,*) 'Data file ',trim(dt_file),' not found.'
-           write(*,*) 'Check that your path to datagcm:',trim(datadir)
-           write(*,*) 'is correct. You can change it in callphys.def with:'
-           write(*,*) 'datadir = /absolute/path/to/datagcm'
-           write(*,*) 'Also check that the continuum data is there.'
+           if (is_master) then
+             write(*,*) 'Error from interpolateH2H2'
+             write(*,*) 'Data file ',trim(dt_file),' not found.'
+             write(*,*) 'Check that your path to datagcm:',trim(datadir)
+             write(*,*) 'is correct. You can change it in callphys.def with:'
+             write(*,*) 'datadir = /absolute/path/to/datagcm'
+             write(*,*) 'Also check that the continuum data is there.'
+           endif
            call abort
          else
          
          if(versH2H2cia.eq.2011) then
-           write(*,*) '... You are using H2-H2 CIA from 2011 but you should use more recent data available on HITRAN !'
-           write(*,*) '... (Especially if you are running a giant planet atmosphere)'
-           write(*,*) '... Just find out the H2-H2 CIA from 2018, put it in your datadir and have a look at interpolateH2H2.F90 ! .'
+           if (is_master) then
+             write(*,*) '... You are using H2-H2 CIA from 2011 but you should use more recent data available on HITRAN !'
+             write(*,*) '... (Especially if you are running a giant planet atmosphere)'
+             write(*,*) '... Just find out the H2-H2 CIA from 2018, put it in your datadir and have a look at interpolateH2H2.F90 ! .'
+           endif
          endif
 
@@ -151,7 +164,9 @@
 
                if(nS.ne.nres)then
-                  print*,'Resolution given in file: ',trim(dt_file)
-                  print*,'is ',nres,', which does not match nS.'
-                  print*,'Please adjust nS value in interpolateH2H2.F90'
+                  if (is_master) then
+                    print*,'Resolution given in file: ',trim(dt_file)
+                    print*,'is ',nres,', which does not match nS.'
+                    print*,'Please adjust nS value in interpolateH2H2.F90'
+                  endif
                   stop
                endif
@@ -169,8 +184,9 @@
 !$OMP BARRIER
 
-         print*,'interpolateH2H2: At wavenumber ',wn,' cm^-1'
-         print*,'   temperature ',temp,' K'
-         print*,'   pressure ',pres,' Pa'
-
+         if (is_master) then
+           print*,'interpolateH2H2: At wavenumber ',wn,' cm^-1'
+           print*,'   temperature ',temp,' K'
+           print*,'   pressure ',pres,' Pa'
+         endif
       endif
       
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2He.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2He.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2He.F90	(revision 2662)
@@ -16,4 +16,5 @@
       use callkeys_mod, only: H2orthopara_mixture, strictboundcia
       use datafile_mod, only: datadir
+      use mod_phys_lmdz_para, only : is_master
 
       implicit none
@@ -61,30 +62,38 @@
       if(temp.gt.400)then
         if (strictboundcia) then
-          print*,'Your temperatures are too high for this H2-He CIA dataset.'
-          print*,'Please run mixed H2-He atmospheres below T = 400 K.'      
+          if (is_master) then
+            print*,'Your temperatures are too high for this H2-He CIA dataset.'
+            print*,'Please run mixed H2-He atmospheres below T = 400 K.'      
+          endif
           stop
         else
-          print*,'Your temperatures are too high for this H2-He CIA dataset'
-          print*,'you have chosen strictboundcia = ', strictboundcia
-          print*,'*********************************************************'
-          print*,' we allow model to continue but with temp = 400          '
-          print*,'  ...       for H2-He CIA dataset          ...           '
-          print*,'  ... we assume we know what you are doing ...           '
-          print*,'*********************************************************'
+          if (is_master) then
+            print*,'Your temperatures are too high for this H2-He CIA dataset'
+            print*,'you have chosen strictboundcia = ', strictboundcia
+            print*,'*********************************************************'
+            print*,' we allow model to continue but with temp = 400          '
+            print*,'  ...       for H2-He CIA dataset          ...           '
+            print*,'  ... we assume we know what you are doing ...           '
+            print*,'*********************************************************'
+          endif
           temp = 400
         endif
       elseif(temp.lt.40)then
         if (strictboundcia) then
-          print*,'Your temperatures are too low for this H2-He CIA dataset.'
-          print*,'Please run mixed H2-He atmospheres above T = 40 K.'      
+          if (is_master) then
+            print*,'Your temperatures are too low for this H2-He CIA dataset.'
+            print*,'Please run mixed H2-He atmospheres above T = 40 K.'      
+          endif
           stop
         else
-          print*,'Your temperatures are too low for this H2-He CIA dataset'
-          print*,'you have chosen strictboundcia = ', strictboundcia
-          print*,'*********************************************************'
-          print*,' we allow model to continue but with temp = 40           '
-          print*,'  ...       for H2-He CIA dataset          ...           '
-          print*,'  ... we assume we know what you are doing ...           '
-          print*,'*********************************************************'
+          if (is_master) then
+            print*,'Your temperatures are too low for this H2-He CIA dataset'
+            print*,'you have chosen strictboundcia = ', strictboundcia
+            print*,'*********************************************************'
+            print*,' we allow model to continue but with temp = 40           '
+            print*,'  ...       for H2-He CIA dataset          ...           '
+            print*,'  ... we assume we know what you are doing ...           '
+            print*,'*********************************************************'
+          endif
           temp = 40
         endif
@@ -95,6 +104,6 @@
 
       if(firstcall)then ! called by sugas_corrk only
-         print*,'----------------------------------------------------'
-         print*,'Initialising H2-He continuum from HITRAN database...'
+         if (is_master) print*,'----------------------------------------------------'
+         if (is_master) print*,'Initialising H2-He continuum from HITRAN database...'
 
 !     1.1 Open the ASCII files
@@ -108,10 +117,12 @@
          open(33,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
-           write(*,*) 'Error from interpolateH2He'
-           write(*,*) 'Data file ',trim(dt_file),' not found.'
-           write(*,*) 'Check that your path to datagcm:',trim(datadir)
-           write(*,*) 'is correct. You can change it in callphys.def with:'
-           write(*,*) 'datadir = /absolute/path/to/datagcm'
-           write(*,*) 'Also check that the continuum data is there.'
+           if (is_master) then
+             write(*,*) 'Error from interpolateH2He'
+             write(*,*) 'Data file ',trim(dt_file),' not found.'
+             write(*,*) 'Check that your path to datagcm:',trim(datadir)
+             write(*,*) 'is correct. You can change it in callphys.def with:'
+             write(*,*) 'datadir = /absolute/path/to/datagcm'
+             write(*,*) 'Also check that the continuum data is there.'
+           endif
            call abort
          else
@@ -121,7 +132,9 @@
                read(33,fmat1) bleh,blah,blah,nres,Ttemp
                if(nS.ne.nres)then
-                  print*,'Resolution given in file: ',trim(dt_file)
-                  print*,'is ',nres,', which does not match nS.'
-                  print*,'Please adjust nS value in interpolateH2He.F90'
+                  if (is_master) then
+                    print*,'Resolution given in file: ',trim(dt_file)
+                    print*,'is ',nres,', which does not match nS.'
+                    print*,'Please adjust nS value in interpolateH2He.F90'
+                  endif
                   stop
                endif
@@ -138,10 +151,10 @@
 !$OMP END MASTER
 !$OMP BARRIER
-
-         print*,'interpolateH2He: At wavenumber ',wn,' cm^-1'
-         print*,'   temperature                 ',temp,' K'
-         print*,'   H2 partial pressure         ',presH2,' Pa'
-         print*,'   and He partial pressure     ',presHe,' Pa'
-
+         if (is_master) then
+           print*,'interpolateH2He: At wavenumber ',wn,' cm^-1'
+           print*,'   temperature                 ',temp,' K'
+           print*,'   H2 partial pressure         ',presH2,' Pa'
+           print*,'   and He partial pressure     ',presHe,' Pa'
+         endif
       endif
 
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2O_self_foreign.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2O_self_foreign.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateH2O_self_foreign.F90	(revision 2662)
@@ -16,4 +16,6 @@
 
       use datafile_mod, only: datadir
+      use mod_phys_lmdz_para, only : is_master
+
       implicit none
 
@@ -64,6 +66,6 @@
 
       if(firstcall)then ! called by sugas_corrk only
-         print*,'----------------------------------------------------'
-         print*,'Initialising H2O continuum from MT_CKD data...'
+         if (is_master) print*,'----------------------------------------------------'
+         if (is_master) print*,'Initialising H2O continuum from MT_CKD data...'
 
 !     1.1 Open the ASCII files
@@ -75,12 +77,14 @@
          open(34,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
-           write(*,*) 'Error from interpolateH2O_cont SELF'
-           write(*,*) 'Data file ',trim(dt_file),' not found.'
-           write(*,*) 'Check that your path to datagcm:',trim(datadir)
-           write(*,*) ' is correct. You can change it in callphys.def with:'
-           write(*,*) ' datadir = /absolute/path/to/datagcm'
-           write(*,*) ' Check that there is a H2O-H2O_continuum_MT_CKD3.3.cia'
-           write(*,*)'Continuum file available here:'
-           write(*,*)' https://www.lmd.jussieu.fr/~lmdz/planets/LMDZ.GENERIC/datagcm/continuum_data/'
+           if (is_master) then 
+             write(*,*) 'Error from interpolateH2O_cont SELF'
+             write(*,*) 'Data file ',trim(dt_file),' not found.'
+             write(*,*) 'Check that your path to datagcm:',trim(datadir)
+             write(*,*) ' is correct. You can change it in callphys.def with:'
+             write(*,*) ' datadir = /absolute/path/to/datagcm'
+             write(*,*) ' Check that there is a H2O-H2O_continuum_MT_CKD3.3.cia'
+             write(*,*)'Continuum file available here:'
+             write(*,*)' https://www.lmd.jussieu.fr/~lmdz/planets/LMDZ.GENERIC/datagcm/continuum_data/'
+           endif
            call abort
          else
@@ -88,7 +92,9 @@
              read(34,fmat1) dummy_var1,nres,Ttemp
              if(nS.ne.nres)then
-               print*,'Resolution given in file: ',trim(dt_file)
-               print*,'is ',nres,', which does not match nS.'
-               print*,'Adjust nS value in interpolateH2O_MTCKD...F90'
+               if (is_master) then
+                 print*,'Resolution given in file: ',trim(dt_file)
+                 print*,'is ',nres,', which does not match nS.'
+                 print*,'Adjust nS value in interpolateH2O_MTCKD...F90'
+               endif
                stop
              endif
@@ -107,12 +113,14 @@
          open(35,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
-           write(*,*) 'Error from interpolateH2O_cont FOREIGN'
-           write(*,*) 'Data file ',trim(dt_file),' not found.'
-           write(*,*)'Check that your path to datagcm:',trim(datadir)
-           write(*,*)' is correct. You can change it in callphys.def with:'
-           write(*,*)' datadir = /absolute/path/to/datagcm'
-           write(*,*)' Check that there is a H2O-AIR_continuum_MT_CKD3.3.cia'
-           write(*,*)'Continuum file available here:'
-           write(*,*)' https://www.lmd.jussieu.fr/~lmdz/planets/LMDZ.GENERIC/datagcm/continuum_data/'
+           if (is_master) then
+             write(*,*) 'Error from interpolateH2O_cont FOREIGN'
+             write(*,*) 'Data file ',trim(dt_file),' not found.'
+             write(*,*)'Check that your path to datagcm:',trim(datadir)
+             write(*,*)' is correct. You can change it in callphys.def with:'
+             write(*,*)' datadir = /absolute/path/to/datagcm'
+             write(*,*)' Check that there is a H2O-AIR_continuum_MT_CKD3.3.cia'
+             write(*,*)'Continuum file available here:'
+             write(*,*)' https://www.lmd.jussieu.fr/~lmdz/planets/LMDZ.GENERIC/datagcm/continuum_data/'
+           endif
            call abort
          else
@@ -120,7 +128,9 @@
              read(35,fmat2) dummy_var2,nres,Ttemp
              if(nS.ne.nres)then
-               print*,'Resolution given in file: ',trim(dt_file)
-               print*,'is ',nres,', which does not match nS.'
-               print*,'Adjust nS value in interpolateH2O_MTCKD...F90'
+               if (is_master) then
+                 print*,'Resolution given in file: ',trim(dt_file)
+                 print*,'is ',nres,', which does not match nS.'
+                 print*,'Adjust nS value in interpolateH2O_MTCKD...F90'
+               endif
                stop
              endif
@@ -134,9 +144,10 @@
 	 endif
          close(35)
-
-         print*,'interpolateH2O_MTCKDcont: At wavenumber ',wn,' cm^-1'
-         print*,'   temperature ',temp,' K'
-         print*,'   H2O pressure ',presS,' Pa'
-         print*,'   air pressure ',presF,' Pa'
+         if (is_master) then
+           print*,'interpolateH2O_MTCKDcont: At wavenumber ',wn,' cm^-1'
+           print*,'   temperature ',temp,' K'
+           print*,'   H2O pressure ',presS,' Pa'
+           print*,'   air pressure ',presF,' Pa'
+         endif
 !$OMP END MASTER
 !$OMP BARRIER
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateHeCH4.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateHeCH4.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateHeCH4.F90	(revision 2662)
@@ -16,4 +16,6 @@
   use callkeys_mod, only: strictboundcia
   use datafile_mod, only: datadir
+  use mod_phys_lmdz_para, only : is_master
+
   implicit none
 
@@ -59,30 +61,38 @@
   if(temp.gt.350)then
     if (strictboundcia) then
-      print*,'Your temperatures are too high for this He-CH4 CIA dataset.'
-      print*,'Please run mixed He-CH4 atmospheres below T = 350 K.'      
+      if (is_master) then
+        print*,'Your temperatures are too high for this He-CH4 CIA dataset.'
+        print*,'Please run mixed He-CH4 atmospheres below T = 350 K.'      
+      endif
       stop
     else
-      print*,'Your temperatures are too high for this He-CH4 CIA dataset'
-      print*,'you have chosen strictboundcia = ', strictboundcia
-      print*,'*********************************************************'
-      print*,' we allow model to continue but with temp = 350          '
-      print*,'  ...       for He-CH4 CIA dataset         ...           '
-      print*,'  ... we assume we know what you are doing ...           '
-      print*,'*********************************************************'
+      if (is_master) then
+        print*,'Your temperatures are too high for this He-CH4 CIA dataset'
+        print*,'you have chosen strictboundcia = ', strictboundcia
+        print*,'*********************************************************'
+        print*,' we allow model to continue but with temp = 350          '
+        print*,'  ...       for He-CH4 CIA dataset         ...           '
+        print*,'  ... we assume we know what you are doing ...           '
+        print*,'*********************************************************'
+      endif
       temp = 350
     endif
   elseif(temp.lt.40)then
     if (strictboundcia) then
-      print*,'Your temperatures are too low for this He-CH4 CIA dataset.'
-      print*,'Please run mixed He-CH4 atmospheres above T = 40 K.'      
+      if (is_master) then
+        print*,'Your temperatures are too low for this He-CH4 CIA dataset.'
+        print*,'Please run mixed He-CH4 atmospheres above T = 40 K.'      
+      endif
       stop
     else
-      print*,'Your temperatures are too low for this He-CH4 CIA dataset'
-      print*,'you have chosen strictboundcia = ', strictboundcia
-      print*,'*********************************************************'
-      print*,' we allow model to continue but with temp = 40           '
-      print*,'  ...       for He-CH4 CIA dataset         ...           '
-      print*,'  ... we assume we know what you are doing ...           '
-      print*,'*********************************************************'
+      if (is_master) then
+        print*,'Your temperatures are too low for this He-CH4 CIA dataset'
+        print*,'you have chosen strictboundcia = ', strictboundcia
+        print*,'*********************************************************'
+        print*,' we allow model to continue but with temp = 40           '
+        print*,'  ...       for He-CH4 CIA dataset         ...           '
+        print*,'  ... we assume we know what you are doing ...           '
+        print*,'*********************************************************'
+      endif
       temp = 40
     endif
@@ -93,6 +103,6 @@
 
   if(firstcall)then ! called by sugas_corrk only
-     print*,'----------------------------------------------------'
-     print*,'Initialising He-CH4 continuum from HITRAN database...'
+     if (is_master) print*,'----------------------------------------------------'
+     if (is_master) print*,'Initialising He-CH4 continuum from HITRAN database...'
 
      !     1.1 Open the ASCII files
@@ -102,10 +112,12 @@
      open(33,file=dt_file,form='formatted',status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
-        write(*,*) 'Error from interpolateHeCH4'
-        write(*,*) 'Data file ',trim(dt_file),' not found.'
-        write(*,*) 'Check that your path to datagcm:',trim(datadir)
-        write(*,*) 'is correct. You can change it in callphys.def with:'
-        write(*,*) 'datadir = /absolute/path/to/datagcm'
-        write(*,*) 'Also check that the continuum data continuum_data/He-CH4_2018.cia is there.'
+        if (is_master) then
+          write(*,*) 'Error from interpolateHeCH4'
+          write(*,*) 'Data file ',trim(dt_file),' not found.'
+          write(*,*) 'Check that your path to datagcm:',trim(datadir)
+          write(*,*) 'is correct. You can change it in callphys.def with:'
+          write(*,*) 'datadir = /absolute/path/to/datagcm'
+          write(*,*) 'Also check that the continuum data continuum_data/He-CH4_2018.cia is there.'
+        endif
         call abort
      else
@@ -115,7 +127,9 @@
            read(33,fmat1) bleh,blah,blah,nres,Ttemp
            if(nS.ne.nres)then
-              print*,'Resolution given in file: ',trim(dt_file)
-              print*,'is ',nres,', which does not match nS.'
-              print*,'Please adjust nS value in interpolateHeCH4.F90'
+              if (is_master) then
+                print*,'Resolution given in file: ',trim(dt_file)
+                print*,'is ',nres,', which does not match nS.'
+                print*,'Please adjust nS value in interpolateHeCH4.F90'
+              endif
               stop
            endif
@@ -132,10 +146,10 @@
 !$OMP END MASTER
 !$OMP BARRIER
-
-     print*,'interpolateHeCH4: At wavenumber ',wn,' cm^-1'
-     print*,'   temperature                 ',temp,' K'
-     print*,'   CH4 partial pressure        ',presCH4,' Pa'
-     print*,'   and He partial pressure     ',presHe,' Pa'
-
+     if (is_master) then
+       print*,'interpolateHeCH4: At wavenumber ',wn,' cm^-1'
+       print*,'   temperature                 ',temp,' K'
+       print*,'   CH4 partial pressure        ',presCH4,' Pa'
+       print*,'   and He partial pressure     ',presHe,' Pa'
+     endif
   endif
 
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateN2H2.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateN2H2.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateN2H2.F90	(revision 2662)
@@ -15,4 +15,6 @@
 
   use datafile_mod, only: datadir
+  use mod_phys_lmdz_para, only : is_master
+
   implicit none
 
@@ -57,6 +59,8 @@
 
   if(temp.gt.400)then
-     print*,'Your temperatures are too high for this N2-H2 CIA dataset.'
-     print*,'Please run mixed N2-H2 atmospheres below T = 400 K.'      
+     if (is_master) then
+       print*,'Your temperatures are too high for this N2-H2 CIA dataset.'
+       print*,'Please run mixed N2-H2 atmospheres below T = 400 K.'      
+     endif
      stop
   endif
@@ -66,6 +70,6 @@
 
   if(firstcall)then ! called by sugas_corrk only
-     print*,'----------------------------------------------------'
-     print*,'Initialising N2-H2 continuum from HITRAN database...'
+     if (is_master) print*,'----------------------------------------------------'
+     if (is_master) print*,'Initialising N2-H2 continuum from HITRAN database...'
 
      !     1.1 Open the ASCII files
@@ -75,10 +79,12 @@
      open(33,file=dt_file,form='formatted',status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
-        write(*,*) 'Error from interpolateN2H2'
-        write(*,*) 'Data file ',trim(dt_file),' not found.'
-        write(*,*) 'Check that your path to datagcm:',trim(datadir)
-        write(*,*) 'is correct. You can change it in callphys.def with:'
-        write(*,*) 'datadir = /absolute/path/to/datagcm'
-        write(*,*) 'Also check that the continuum data continuum_data/N2-H2_2011.cia is there.'
+        if (is_master) then
+          write(*,*) 'Error from interpolateN2H2'
+          write(*,*) 'Data file ',trim(dt_file),' not found.'
+          write(*,*) 'Check that your path to datagcm:',trim(datadir)
+          write(*,*) 'is correct. You can change it in callphys.def with:'
+          write(*,*) 'datadir = /absolute/path/to/datagcm'
+          write(*,*) 'Also check that the continuum data continuum_data/N2-H2_2011.cia is there.'
+        endif
         call abort
      else
@@ -88,7 +94,9 @@
            read(33,fmat1) bleh,blah,blah,nres,Ttemp
            if(nS.ne.nres)then
-              print*,'Resolution given in file: ',trim(dt_file)
-              print*,'is ',nres,', which does not match nS.'
-              print*,'Please adjust nS value in interpolateN2H2.F90'
+              if (is_master) then
+                print*,'Resolution given in file: ',trim(dt_file)
+                print*,'is ',nres,', which does not match nS.'
+                print*,'Please adjust nS value in interpolateN2H2.F90'
+              endif
               stop
            endif
@@ -105,10 +113,10 @@
 !$OMP END MASTER
 !$OMP BARRIER
-
-     print*,'interpolateN2H2: At wavenumber ',wn,' cm^-1'
-     print*,'   temperature                 ',temp,' K'
-     print*,'   N2 partial pressure         ',presN2,' Pa'
-     print*,'   and H2 partial pressure     ',presH2,' Pa'
-
+     if (is_master) then
+       print*,'interpolateN2H2: At wavenumber ',wn,' cm^-1'
+       print*,'   temperature                 ',temp,' K'
+       print*,'   N2 partial pressure         ',presN2,' Pa'
+       print*,'   and H2 partial pressure     ',presH2,' Pa'
+     endif
   endif
 
Index: /trunk/LMDZ.GENERIC/libf/phystd/interpolateN2N2.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/interpolateN2N2.F90	(revision 2661)
+++ /trunk/LMDZ.GENERIC/libf/phystd/interpolateN2N2.F90	(revision 2662)
@@ -15,4 +15,6 @@
 
   use datafile_mod, only: datadir
+  use mod_phys_lmdz_para, only : is_master
+
   implicit none
 
@@ -56,6 +58,8 @@
 
   if(temp.gt.400)then
-     print*,'Your temperatures are too high for this N2-N2 CIA dataset.'
-     print*,'Currently, HITRAN provides data for this pair in the range 40-400 K.'
+     if (is_master) then
+       print*,'Your temperatures are too high for this N2-N2 CIA dataset.'
+       print*,'Currently, HITRAN provides data for this pair in the range 40-400 K.'
+     endif
      stop
   endif
@@ -64,6 +68,6 @@
 
   if(firstcall)then ! called by sugas_corrk only
-     print*,'----------------------------------------------------'
-     print*,'Initialising N2-N2 continuum from HITRAN database...'
+     if (is_master) print*,'----------------------------------------------------'
+     if (is_master) print*,'Initialising N2-N2 continuum from HITRAN database...'
 
      !     1.1 Open the ASCII files
@@ -73,10 +77,12 @@
      open(33,file=dt_file,form='formatted',status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
-        write(*,*) 'Error from interpolateN2N2'
-        write(*,*) 'Data file ',trim(dt_file),' not found.'
-        write(*,*) 'Check that your path to datagcm:',trim(datadir)
-        write(*,*) 'is correct. You can change it in callphys.def with:'
-        write(*,*) 'datadir = /absolute/path/to/datagcm'
-        write(*,*) 'Also check that the continuum data continuum_data/N2-N2_norm_2011.cia is there.'
+        if (is_master) then
+          write(*,*) 'Error from interpolateN2N2'
+          write(*,*) 'Data file ',trim(dt_file),' not found.'
+          write(*,*) 'Check that your path to datagcm:',trim(datadir)
+          write(*,*) 'is correct. You can change it in callphys.def with:'
+          write(*,*) 'datadir = /absolute/path/to/datagcm'
+          write(*,*) 'Also check that the continuum data continuum_data/N2-N2_norm_2011.cia is there.'
+        endif
         call abort
      else
@@ -86,7 +92,9 @@
            read(33,fmat1) bleh,blah,blah,nres,Ttemp
            if(nS.ne.nres)then
-              print*,'Resolution given in file: ',trim(dt_file)
-              print*,'is ',nres,', which does not match nS.'
-              print*,'Please adjust nS value in interpolateN2N2.F90'
+              if (is_master) then
+                print*,'Resolution given in file: ',trim(dt_file)
+                print*,'is ',nres,', which does not match nS.'
+                print*,'Please adjust nS value in interpolateN2N2.F90'
+              endif
               stop
            endif
@@ -103,9 +111,9 @@
 !$OMP END MASTER
 !$OMP BARRIER
-
-     print*,'interpolateN2N2: At wavenumber ',wn,' cm^-1'
-     print*,'   temperature ',temp,' K'
-     print*,'   pressure ',pres,' Pa'
-
+     if (is_master) then
+       print*,'interpolateN2N2: At wavenumber ',wn,' cm^-1'
+       print*,'   temperature ',temp,' K'
+       print*,'   pressure ',pres,' Pa'
+     endif
   endif
      call bilinearbig(nS,nT,wn_arr,temp_arr,abs_arr,wn,temp,abcoef,ind)
